<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Frans van der Veen [netcreators] <extensions@netcreators.com>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

$currentDir = dirname(__FILE__) . '/';
require_once($currentDir . '../includes.php');

class tx_ncfoldabletxt_config_model extends tx_nclib_config_model {
	/**
	 * @param tx_ncfoldabletxt_controller &$controller
	 * @param array $typoScript
	 */
	function initialize(tx_ncfoldabletxt_controller &$controller, $typoScript) {
		parent::initialize($controller, $typoScript);

		// Local configuration defaults for this plugin
		// Note: ALL the required keys have to be defined here, otherwise the plugin will give an error
		// Error checking and feedback will save time when installing a TypoScript template, but something is wrong
		// This array is also a reminder (for the dev) for which vars can be set
		$defaults = array (
			'templates.' => array(
				// the exceptionview has the path hardcoded, since an exception can occur in the config model
				'contentView' => 'EXT:' . $controller->extKey . '/templates/content_view.html',
			),
			// should wrap content in baseclass?
			'wrapInBaseClass' => '0',
			// should all remaining markers be removed?
			'cleanRemainingMarkers' => '0',
			// Cache links?
			'cacheLinks' => false,
			// debug mode on?
			'debugMode' => false,
			// the css file to use
			'useExtensionCss' => true,
			// the js file to use
			'useExtensionJs' => true,
			// the js file to use
			'externalJs' => false,
			// set variable "foldin"
			'foldin' => 0,
		);
		// remember, don't forget
		$dontCheck = array();
		$this->setTSDefaults($defaults, $dontCheck);
		$this->initializeTSConfigAndFFConfig();
		$this->searchAndReplaceConfigurationReferences();
	}
}

?>
