<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Frans van der Veen [netcreators] <extensions@netcreators.com>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

$currentDir = dirname(__FILE__) . '/';
require_once($currentDir . '../includes.php');

class tx_ncfoldabletxt_content_view extends tx_ncfoldabletxt_base_view {
	/**
	 * Initializes the class.
	 *
	 * @param tx_ncfoldabletxt_controller &$controller the controller object
	 * @return void
	 */
	public function initialize(tx_ncfoldabletxt_controller &$controller) {
		parent::initialize($controller);
		if($this->controller->configModel->get('useExtensionJs')) {
			if ($this->controller->configModel->get('foldin') == 1)
			{
				$this->addJsIncludeToHeader('res/js/foldToggle_foldin.js');
			}
			else
			{
				$this->addJsIncludeToHeader('res/js/foldToggle.js');
			}
		}
		if($this->controller->configModel->get('externalJs') != FALSE) {
			$this->addJsIncludeToHeader($this->controller->configModel->get('externalJs'), false);
		}
		if($this->controller->configModel->get('useExtensionCss')) {
			$this->addCssIncludeToHeader('res/css/style.css', true);
		}
	}
}

?>
